﻿@model IEnumerable<CyberSport.Models.Carrito>

@{
    string total = @Model.Sum(s => (s.PrecioUnitario * s.Cantidad)).ToString("N0");
}

<div class="panel panel-success">
    <div class="panel-heading">
        <h4><span class="glyphicon glyphicon-shopping-cart"></span> Carro de Compra</h4>
    </div>
    <div class="panel-body">
        @if (Model.Count() > 0)
        {
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th></th>
                        <th>Producto</th>
                        <th>Precio Unitario</th>
                        <th>Cantidad</th>
                        <th>Subtotal</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var prod in Model)
                    {
                        string subt = (prod.PrecioUnitario * prod.Cantidad).ToString("N0");
                        string unitario = prod.PrecioUnitario.ToString("N0");
                        <tr>
                            <td><img src="~/imagenes/@prod.ImagenProducto" class="img-responsive altoProductoPagar" /></td>
                            <td>@prod.NombreProducto</td>
                            <td>$@unitario</td>
                            <td>@prod.Cantidad</td>
                            <td>$@subt</td>
                        </tr>
                    }
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3"><h4>Total</h4></td>
                        <td><h4>$@total</h4></td>
                        <td><a href="#" class="btn btn-success btn-md">Pagar</a></td>
                    </tr>
                </tfoot>
            </table>
        }
        else
        {
            <br />
            <div class="text-center"><h5>Su carro de compras está vacio!</h5></div>
            <br />
            <div class="clearfix"></div>

        }
    </div>
</div>






